#app main{
    min-height: 889px;
}

.main-container{
    width: 100%;
    margin-top: 60px;
}
.library-container{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 30px;
}

.library-container li {
    width: 220px;
    height: 200px;
    border: var(--main_border);
    border-radius: 5px;
    list-style: none;
    margin-left: 47px;
    overflow: hidden;
    margin-top: 30px;
    padding: 0;
}
.library-container .img-box{
    width: 100%;
    height: 120px;
    overflow: hidden;
}
.library-container .img-box img{
    width: 100%;
    height: 100%;
    /* 中心裁剪 */
    object-fit: cover;
}
.info-box{
    padding: 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 75px;
}

.info-box .title-box{
    font-weight: bold;
    font-size: 14px;
    margin-bottom: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.info-box .icon-box{
    font-size: 12px;
    display: flex;
    justify-content: space-between;
}

.library-pager {
    padding-left: 0;
    margin: 20px 0;
    text-align: center;
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 0;
    background-color: var(--main_color_row);
    padding: 20px 0;
}

.library-pager li{
    margin-right: 10px;
}

.library-pager li:last-child{
    margin-right: 0px;
}

.library-pager li>a, .library-pager li>span {
    display: inline-block;
    padding: 5px 14px;
    background-color: var(--main_bg);
    color: var(--main_color);
    border: 1px solid #ddd;
    border-radius: 15px;
}

.library-pager >li .active{
    background-color: #3a8ee6;
    color: #fff;
}
